Bug 174512 - x11/terminator add missing run deps
x11/terminator add missing run deps
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Pawel Pekala
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-17 13:20 UTC by Pawel Pekala
Modified: 2013-01-04 21:50 UTC (History)
0 users

See Also:


Attachments
file.diff (997 bytes, patch)
2012-12-17 13:20 UTC, Pawel Pekala
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pawel Pekala freebsd_committer 2012-12-17 13:20:00 UTC
When launching terminator from command line I get this warnings:

[corn:~]> terminator
ConfigBase::load: Unable to open /home/corn/.config/terminator/config ([Errno 2] No such file or directory: '/home/corn/.config/terminator/config')
Warning: python-keybinder is not installed. This means the hide_window shortcut will be unavailable
Unable to bind hide_window key, another instance/window has it.
ActivityWatch plugin unavailable: please install python-notify
PluginRegistry::load_plugins: Importing plugin activitywatch.py failed: 'module' object has no attribute 'AVAILABLE'

Clearly there are 2 missing run dependiences - my patch adds them.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-12-17 13:20:07 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-12-17 13:20:07 UTC
Maintainer of x11/terminator,

Please note that PR ports/174512 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/174512

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Pawel Pekala freebsd_committer 2012-12-17 13:50:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

Mine
Comment 4 dfilter freebsd_committer 2013-01-04 21:48:34 UTC
Author: pawel
Date: Fri Jan  4 21:48:21 2013
New Revision: 309941
URL: http://svnweb.freebsd.org/changeset/ports/309941

Log:
  - Add missing run deps
  - tab -> space WWW: line in pkg-descr
  
  PR:		ports/174512
  Submitted by:	myself
  Approved by:	maintainer timeout (2 weeks)

Modified:
  head/x11/terminator/Makefile
  head/x11/terminator/pkg-descr

Modified: head/x11/terminator/Makefile
==============================================================================
--- head/x11/terminator/Makefile	Fri Jan  4 21:06:25 2013	(r309940)
+++ head/x11/terminator/Makefile	Fri Jan  4 21:48:21 2013	(r309941)
@@ -1,13 +1,9 @@
-# New ports collection makefile for:	terminator
-# Date created:		2008-03-14
-# Whom:			Thomas Hurst <tom@hur.st>
-#
+# Created by: Thomas Hurst <tom@hur.st>
 # $FreeBSD$
-#
 
 PORTNAME=	terminator
 PORTVERSION=	0.96
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	x11 python
 MASTER_SITES=	http://launchpadlibrarian.net/80778747/ \
 		http://hur.st/mirror/terminator/
@@ -17,6 +13,10 @@ COMMENT=	Multiple GNOME terminals in one
 
 LICENSE=	GPLv2
 
+RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}notify>=0:${PORTSDIR}/devel/py-notify \
+		${PYTHON_SITELIBDIR}/keybinder/_keybinder.so:${PORTSDIR}/x11/keybinder \
+		${PYTHON_PKGNAMEPREFIX}vte>=0:${PORTSDIR}/x11-toolkits/py-vte
+
 OPTIONS_DEFINE=	NLS GCONF
 GCONF_DESC=	Use GNOME Terminal settings
 OPTIONS_DEFAULT=	NLS GCONF
@@ -40,7 +40,6 @@ USE_GETTEXT=	yes
 PLIST_SUB+=	NLS=""
 .endif
 
-RUN_DEPENDS+=	${PYTHON_SITELIBDIR}/gtk-2.0/vtemodule.so:${PORTSDIR}/x11-toolkits/py-vte
 .if ${PORT_OPTIONS:MGCONF}
 USE_GNOME+=	pygnome2
 .endif

Modified: head/x11/terminator/pkg-descr
==============================================================================
--- head/x11/terminator/pkg-descr	Fri Jan  4 21:06:25 2013	(r309940)
+++ head/x11/terminator/pkg-descr	Fri Jan  4 21:48:21 2013	(r309941)
@@ -2,4 +2,4 @@ Terminator is a Python terminal program,
 gnome-terminal to provide a tiled set of terminals in as little
 space as possible.
 
-WWW:	http://www.tenshu.net/p/terminator.html
+WWW: http://www.tenshu.net/p/terminator.html
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Pawel Pekala freebsd_committer 2013-01-04 21:48:37 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!